#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1473\r"; sleep 2;
echo -e "write (0,1) -1425\r"; sleep 2;
echo -e "write (0,2) -1305\r"; sleep 2;
echo -e "write (0,3) -1140\r"; sleep 2;
echo -e "write (0,4) -1213\r"; sleep 2;
echo -e "write (0,5) -1366\r"; sleep 2;
echo -e "write (0,6) -1235\r"; sleep 2;
echo -e "write (0,9) -1226\r"; sleep 2;
echo -e "write (0,10) -1236\r"; sleep 2;
echo -e "write (0,11) -1217\r"; sleep 2;
echo -e "write (0,12) -1295\r"; sleep 2;
echo -e "write (0,13) -1278\r"; sleep 2;
echo -e "write (0,14) -1375\r"; sleep 2;
echo -e "write (1,0) -1151\r"; sleep 2;
echo -e "write (1,1) -1282\r"; sleep 2;
echo -e "write (1,2) -1342\r"; sleep 2;
echo -e "write (1,3) -1239\r"; sleep 2;
echo -e "write (1,4) -1381\r"; sleep 2;
echo -e "write (1,5) -1414\r"; sleep 2;
echo -e "write (1,6) -1378\r"; sleep 2;
echo -e "write (1,9) -1354\r"; sleep 2;
echo -e "write (1,10) -1252\r"; sleep 2;
echo -e "write (1,11) -1261\r"; sleep 2;
echo -e "write (1,12) -1217\r"; sleep 2;
echo -e "write (1,13) -1343\r"; sleep 2;
echo -e "write (1,14) -1466\r"; sleep 2;
echo -e "write (2,0) -1195\r"; sleep 2;
echo -e "write (2,1) -1327\r"; sleep 2;
echo -e "write (2,2) -1405\r"; sleep 2;
echo -e "write (2,3) -1193\r"; sleep 2;
echo -e "write (2,4) -1508\r"; sleep 2;
echo -e "write (2,5) -1263\r"; sleep 2;
echo -e "write (2,6) -1548\r"; sleep 2;
echo -e "write (2,9) -1217\r"; sleep 2;
echo -e "write (2,10) -1304\r"; sleep 2;
echo -e "write (2,11) -1402\r"; sleep 2;
echo -e "write (2,12) -1268\r"; sleep 2;
echo -e "write (2,13) -1408\r"; sleep 2;
echo -e "write (2,14) -1229\r"; sleep 2;
echo -e "write (3,0) -1333\r"; sleep 2;
echo -e "write (3,1) -1274\r"; sleep 2;
echo -e "write (3,2) -1330\r"; sleep 2;
echo -e "write (3,3) -1250\r"; sleep 2;
echo -e "write (3,4) -1212\r"; sleep 2;
echo -e "write (3,5) -1413\r"; sleep 2;
echo -e "write (3,6) -1271\r"; sleep 2;
echo -e "write (3,9) -1497\r"; sleep 2;
echo -e "write (3,10) -1297\r"; sleep 2;
echo -e "write (3,11) -1263\r"; sleep 2;
echo -e "write (3,12) -1214\r"; sleep 2;
echo -e "write (3,13) -1363\r"; sleep 2;
echo -e "write (3,14) -1177\r"; sleep 2;
echo -e "write (4,0) -1328\r"; sleep 2;
echo -e "write (4,1) -1267\r"; sleep 2;
echo -e "write (4,2) -1259\r"; sleep 2;
echo -e "write (4,3) -1295\r"; sleep 2;
echo -e "write (4,4) -1183\r"; sleep 2;
echo -e "write (4,5) -1262\r"; sleep 2;
echo -e "write (4,6) -1264\r"; sleep 2;
echo -e "write (4,9) -1275\r"; sleep 2;
echo -e "write (4,10) -1486\r"; sleep 2;
echo -e "write (4,11) -1403\r"; sleep 2;
echo -e "write (4,12) -1217\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1506\r"; sleep 2;
echo -e "write (5,3) -1600\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1558\r"; sleep 2;
echo -e "write (5,6) -1569\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1542\r"; sleep 2;
echo -e "write (5,11) -1308\r"; sleep 2;
echo -e "write (5,12) -1158\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1415\r"; sleep 2;
echo -e "write (6,0) -1529\r"; sleep 2;
echo -e "write (6,1) -1439\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1427\r"; sleep 2;
echo -e "write (6,4) -1419\r"; sleep 2;
echo -e "write (6,5) -1359\r"; sleep 2;
echo -e "write (6,6) -1539\r"; sleep 2;
echo -e "write (6,9) -1641\r"; sleep 2;
echo -e "write (6,10) -1600\r"; sleep 2;
echo -e "write (6,11) -1595\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1484\r"; sleep 2;
echo -e "write (6,14) -1365\r"; sleep 2;
echo -e "write (7,0) -1288\r"; sleep 2;
echo -e "write (7,1) -1421\r"; sleep 2;
echo -e "write (7,3) -1362\r"; sleep 2;
echo -e "write (7,4) -1419\r"; sleep 2;
echo -e "write (7,5) -1424\r"; sleep 2;
echo -e "write (7,6) -1642\r"; sleep 2;
echo -e "write (7,8) -1511\r"; sleep 2;
echo -e "write (7,9) -1415\r"; sleep 2;
echo -e "write (7,10) -1345\r"; sleep 2;
echo -e "write (7,11) -1649\r"; sleep 2;
echo -e "write (7,12) -1545\r"; sleep 2;
echo -e "write (7,13) -1395\r"; sleep 2;
echo -e "write (7,14) -1497\r"; sleep 2;
echo -e "write (8,0) -1334\r"; sleep 2;
echo -e "write (8,1) -1418\r"; sleep 2;
echo -e "write (8,2) -1300\r"; sleep 2;
echo -e "write (8,3) -1222\r"; sleep 2;
echo -e "write (8,4) -1292\r"; sleep 2;
echo -e "write (8,5) -1255\r"; sleep 2;
echo -e "write (8,6) -1452\r"; sleep 2;
echo -e "write (8,9) -1222\r"; sleep 2;
echo -e "write (8,10) -1348\r"; sleep 2;
echo -e "write (8,11) -1310\r"; sleep 2;
echo -e "write (8,12) -1347\r"; sleep 2;
echo -e "write (8,13) -1309\r"; sleep 2;
echo -e "write (8,14) -1177\r"; sleep 2;
echo -e "write (9,0) -1222\r"; sleep 2;
echo -e "write (9,1) -1238\r"; sleep 2;
echo -e "write (9,2) -1398\r"; sleep 2;
echo -e "write (9,3) -1401\r"; sleep 2;
echo -e "write (9,4) -1208\r"; sleep 2;
echo -e "write (9,5) -1428\r"; sleep 2;
echo -e "write (9,6) -1545\r"; sleep 2;
echo -e "write (9,9) -1422\r"; sleep 2;
echo -e "write (9,10) -1345\r"; sleep 2;
echo -e "write (9,11) -1470\r"; sleep 2;
echo -e "write (9,12) -1305\r"; sleep 2;
echo -e "write (9,13) -1396\r"; sleep 2;
echo -e "write (9,14) -1356\r"; sleep 2;
echo -e "write (10,0) -1326\r"; sleep 2;
echo -e "write (10,1) -1302\r"; sleep 2;
echo -e "write (10,2) -1156\r"; sleep 2;
echo -e "write (10,3) -1409\r"; sleep 2;
echo -e "write (10,4) -1158\r"; sleep 2;
echo -e "write (10,5) -1234\r"; sleep 2;
echo -e "write (10,6) -1363\r"; sleep 2;
echo -e "write (10,9) -1268\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1431\r"; sleep 2;
echo -e "write (10,12) -1227\r"; sleep 2;
echo -e "write (10,13) -1188\r"; sleep 2;
echo -e "write (10,14) -1317\r"; sleep 2;
echo -e "write (11,0) -1199\r"; sleep 2;
echo -e "write (11,1) -1341\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1382\r"; sleep 2;
echo -e "write (11,5) -1393\r"; sleep 2;
echo -e "write (11,6) -1644\r"; sleep 2;
echo -e "write (11,9) -1251\r"; sleep 2;
echo -e "write (11,10) -1303\r"; sleep 2;
echo -e "write (11,11) -1460\r"; sleep 2;
echo -e "write (11,12) -1213\r"; sleep 2;
echo -e "write (11,13) -1425\r"; sleep 2;
echo -e "write (11,14) -1385\r"; sleep 2;
echo -e "write (11,15) -1448\r"; sleep 2;
echo -e "write (12,1) -1306\r"; sleep 2;
echo -e "write (12,2) -1259\r"; sleep 2;
echo -e "write (12,3) -1239\r"; sleep 2;
echo -e "write (12,4) -1289\r"; sleep 2;
echo -e "write (12,5) -1214\r"; sleep 2;
echo -e "write (12,8) -1259\r"; sleep 2;
echo -e "write (12,9) -1249\r"; sleep 2;
echo -e "write (12,10) -1354\r"; sleep 2;
echo -e "write (12,11) -1444\r"; sleep 2;
echo -e "write (12,12) -1470\r"; sleep 2;
echo -e "write (12,13) -1394\r"; sleep 2;
echo -e "write (12,14) -1387\r"; sleep 2;
echo -e "write (12,15) -1411\r"; sleep 2;
echo -e "write (13,0) -1449\r"; sleep 2;
echo -e "write (13,1) -1404\r"; sleep 2;
echo -e "write (13,2) -1532\r"; sleep 2;
echo -e "write (13,3) -1378\r"; sleep 2;
echo -e "write (13,4) -1278\r"; sleep 2;
echo -e "write (13,5) -1420\r"; sleep 2;
echo -e "write (13,6) -1507\r"; sleep 2;
echo -e "write (13,9) -1433\r"; sleep 2;
echo -e "write (13,10) -1378\r"; sleep 2;
echo -e "write (13,11) -1398\r"; sleep 2;
echo -e "write (13,12) -1321\r"; sleep 2;
echo -e "write (13,13) -1344\r"; sleep 2;
echo -e "write (13,14) -1459\r"; sleep 2;
echo -e "write (14,0) -1422\r"; sleep 2;
echo -e "write (14,1) -1535\r"; sleep 2;
echo -e "write (14,2) -1677\r"; sleep 2;
echo -e "write (14,3) -1356\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1592\r"; sleep 2;
echo -e "write (14,6) -1441\r"; sleep 2;
echo -e "write (14,9) -1687\r"; sleep 2;
echo -e "write (14,10) -1596\r"; sleep 2;
echo -e "write (14,11) -1386\r"; sleep 2;
echo -e "write (14,12) -1568\r"; sleep 2;
echo -e "write (14,13) -1471\r"; sleep 2;
echo -e "write (14,14) -1313\r"; sleep 2;
echo -e "write (15,0) -1463\r"; sleep 2;
echo -e "write (15,1) -1443\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
